using System.ServiceModel.Channels;

namespace WcfExtensions.ServiceModel.Channels
{
    internal sealed class CompressionOutputSessionChannel : CompressionOutputChannel<IOutputSessionChannel>,
                                                            IOutputSessionChannel
    {
        internal CompressionOutputSessionChannel(ChannelManagerBase channelManagerBase,
                                                 IOutputSessionChannel innerChannel)
            : base(channelManagerBase, innerChannel)
        {
        }

        #region IOutputSessionChannel Members

        public IOutputSession Session
        {
            get { return InnerChannel.Session; }
        }

        #endregion
    }
}