using System.ServiceModel.Channels;

namespace WcfExtensions.ServiceModel.Channels
{
    internal sealed class CompressionRequestSessionChannel : CompressionRequestChannel<IRequestSessionChannel>, IRequestSessionChannel
    {
        internal CompressionRequestSessionChannel(ChannelManagerBase channelManagerBase,
                                                  IRequestSessionChannel innerChannel)
            : base(channelManagerBase, innerChannel)
        {
        }

        #region IRequestSessionChannel Members

        public IOutputSession Session
        {
            get { return InnerChannel.Session; }
        }

        #endregion
    }
}