using System;
using WcfExtensions.ServiceModel.TestClient.Scenarios.Basic;
using WcfExtensions.ServiceModel.TestClient.Scenarios.Xml;

namespace WcfExtensions.ServiceModel.TestClient
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            switch (args.Length)
            {
                case 0:
                    Console.WriteLine("Basic scenario");
                    BasicScenario.Run();
                    break;
                case 1:
                    {
                        Console.WriteLine("Xml scenario");

                        var xmlScenario = new XmlScenario(args[0]);

                        xmlScenario.Run();
                    }
                    break;
                default:
                    Console.Error.WriteLine("No scenario defined for {0} command arguments", args.Length);
                    
                    break;
            }
        }
    }
}