using System.ServiceModel.Channels;

namespace WcfExtensions.ServiceModel.Channels
{
    internal sealed class CompressionInputSessionChannel : CompressionInputChannel<IInputSessionChannel>,
                                                           IInputSessionChannel
    {
        internal CompressionInputSessionChannel(ChannelManagerBase channelManagerBase, IInputSessionChannel innerChannel)
            : base(channelManagerBase, innerChannel)
        {
        }

        #region IInputSessionChannel Members

        public IInputSession Session
        {
            get { return InnerChannel.Session; }
        }

        #endregion
    }
}